package com.example.myinterface;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;

import com.example.myinterface.bean.ParamBean;
import com.example.myinterface.bean.ResultBean;
import com.example.myinterface.myInterface.FunctionManager;

public class SecondActivity extends AppCompatActivity implements View.OnClickListener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_second);

       findViewById(R.id.tv1).setOnClickListener(this);
       findViewById(R.id.tv2).setOnClickListener(this);
       findViewById(R.id.tv3).setOnClickListener(this);
       findViewById(R.id.tv4).setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()){
            case R.id.tv1:
                FunctionManager.getInstance().invokeNN("nn");
                break;
            case R.id.tv2:
                FunctionManager.getInstance().invokeHN("hn", new ParamBean("hn"));
                break;
            case R.id.tv3:
                ResultBean nh = FunctionManager.getInstance().invokeNH("nh", ResultBean.class);
                Log.e("onSecond", nh.toString());
                break;
            case R.id.tv4:
                ResultBean hh = FunctionManager.getInstance().invokeHH("hh", new ParamBean("hh"), ResultBean.class);
                Log.e("onSecond", hh.toString());
                break;
        }
    }
}
